{% extends "@admin/base.html.twig" %}

{% import "@admin/macros.html.twig" as macro %}

{% block body %}
    {{ macro.breadcrumb() }}

    {{ form_start(form) }}

    <div class="form-inline">
        <p class="text-info">
            Ce kinder est un virtuel de l'original
            <span class="form-control ml-2 mr-2 border-info">
                {{ macro.image(item.image) }}
                <a href="{{ path('admin_kinders_edit', {id: item.original.id}) }}">{{ item.original }}<small><i class="fas fa-pen ml-1"></i></small></a>
            </span>
            de la série
            <span class="form-control ml-2 mr-2 border-info">
                {{ macro.image(item.original.serie.image) }}
                <a href="{{ path('admin_series_view', {id: item.original.serie.id}) }}">{{ item.original.serie }}<small><i class="fas fa-eye ml-1"></i></small></a>
            </span>
        </p>
    </div>

    <div class="row">
        <div class="col-6">{{ form_row(form.name) }}</div>
        <div class="col">{{ form_row(form.sorting) }}</div>
        <div class="col">{{ form_row(form.reference) }}</div>
    </div>
    <div class="row">
        <div class="col">{{ form_row(form.quantityOwned) }}</div>
        <div class="col">{{ form_row(form.quantityDouble) }}</div>
        <div class="col">{{ form_row(form.quantityEchange) }}</div>
        <div class="col">{{ form_row(form.lookingFor) }}</div>
        <div class="col">{{ form_row(form.year) }}</div>
    </div>

    <div class="row">
        <div class="col">
            {{ form_row(form.serie, { 'attr':{'disabled': form.vars.value.serie and not form.vars.value.id ? true : false } }) }}
        </div>
        <div class="col">
            <div class="form-group">
                {{ form_label(form.original, none, { 'label_attr': { 'class': 'text-info'} }) }}
                {{ form_widget(form.original) }}
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col">
            {{ form_row(form.comment) }}
        </div>
        <div class="col">
            {{ form_row(form.variante) }}
        </div>
    </div>

    {{ form_widget(form) }}

    <div class="form-group">
        <button type="submit" class="btn-primary btn">{{ action }}</button>
        <a href="{{ breadcrumb.previous }}" class="btn-light btn">Annuler</a>
        <a href="{{ path('admin_images_add_type', {type: 'Kinder'}) }}" target="_blank" class="float-right"><i class="fas fa-plus"></i> image</a>
    </div>

    {{ form_end(form) }}

{% endblock %}
